/* ====================================== APP CSS ========================== */
/* the main css for all elements */

/* import source */
/* source maybe like fonts, icons, colors, and other */
/* Google fonts */
@import url("https://fonts.googleapis.com/css2?family=DM+Sans:ital,wght@0,400;0,500;0,700;1,400;1,500;1,700&display=swap");

/* tailwind css classes */
@tailwind base;
@tailwind components;
@tailwind utilities;

@layer components {
  /* cursor */
  /* allow to show the cursor with animated styles */
  .sn-cursor {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 100;
    contain: layout style size;
    pointer-events: none;
    will-change: transform;
    transition: opacity 0.3s, color 0.4s;
  }
  .sn-cursor:before {
    content: "";
    position: absolute;
    top: -24px;
    left: -24px;
    display: block;
    width: 48px;
    height: 48px;
    transform: scale(0);
    background: #000;
    border-radius: 50%;
    transition: transform 0.7s ease-in-out, opacity 0.1s;
  }
  .sn-cursor.cursor-visible:before {
    transform: scale(0.3);
  }
  .sn-cursor.cursor-active:before {
    transform: scale(0.23);
    transition-duration: 0.2s;
  }
  .sn-cursor.cursor-hidden:before {
    transform: scale(0);
  }
  .sn-cursor.cursor-lg:before {
    transform: scale(2);
  }
  .sn-cursor.cursor-text {
    transform: scale(0);
  }
  .sn-cursor.cursor-text:before {
    transform: scale(2);
  }
  .sn-cursor.cursor-text .sn-cursor-text {
    height: 64px;
    color: #fff;
    border-radius: 50%;
    display: flex;
    width: 64px;
    font-size: 14px;
    line-height: 1.2;
    transition: transform 0.8s ease-in-out;
    justify-content: center;
    align-items: center;
    text-align: center;
    position: absolute;
    left: -32px;
    top: -32px;
  }
  .sn-cursor.cursor-inverse {
    background: #fff;
  }
  .sn-cursor.cursor-inverse:before {
  }
  .sn-cursor.cursor-pointer:before {
    transform: scale(0.15);
  }
  .sn-cursor.cursor-pointer.cursor-text:before {
    transform: scale(2);
  }
  .sn-cursor.cursor-opaque:before {
    transform: scale(1.32);
  }
  .sn-cursor.cursor-opaque:before {
    transform: scale(1.2);
  }
}
